classification
Title: Use gdbm_count if possible
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, corona10, pitrou, sam-s
Priority: normal Keywords: patch

Created on 2018-01-04 21:41 by sam-s, last changed 2020-05-01 12:15 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19569 closed ZackerySpytz, 2020-04-17 14:30
PR 19814 merged corona10, 2020-04-30 13:32
Messages (2)
msg309483 - (view) Author: sds (sam-s) Date: 2018-01-04 21:41
gdbm offers a function to quickly find number of records: gdbm_count()
http://www.gnu.org/software/gdbm/manual/html_node/Count.html
It would be nice to be able to call it.
msg367837 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2020-05-01 12:15
New changeset 8727664557cd44dcd00612ccba816942e8f885ab by Dong-hee Na in branch 'master':
bpo-32494: Use gdbm_count for dbm_length if possible (GH-19814)
https://github.com/python/cpython/commit/8727664557cd44dcd00612ccba816942e8f885ab
History
Date User Action Args
2020-05-01 12:15:54pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-01 12:15:38pitrousetnosy: + pitrou
messages: + msg367837
2020-04-30 14:09:35corona10settitle: interface to gdbm_count -> Use gdbm_count if possible
2020-04-30 13:32:19corona10setnosy: + corona10
pull_requests: + pull_request19134
2020-04-17 14:30:54ZackerySpytzsetversions: + Python 3.9, - Python 2.7, Python 3.4, Python 3.5, Python 3.6, Python 3.7, Python 3.8
2020-04-17 14:30:12ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request18910
stage: patch review
2018-01-04 21:41:33sam-screate